epp_ResultData (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.epp_ResultData class

### org.openrtk.idl.epp0604

# Class epp_ResultData

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.epp_ResultData`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ResultData`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the generic, non-object specific EPP result data. Used in epp_Result. Contains data for the results to the Status command. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/epp_ResultData.java,v 1.1 2003/03/21 15:54:26 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 15:54:26 $

See Also:
  `epp_Result`, `epp_Status`

  ## Field Summary
  `epp_StatusResultData` | `m_status` Placeholder for the result data to the EPP Status command

  ## Constructor Summary
  `epp_ResultData()` Empty constructor
  `epp_ResultData(epp_StatusResultData _m_status)` The constructor with initializing variables.

  ## Method Summary
  `epp_StatusResultData` | `getStatus()` Accessor method for the status result data
  `void` | `setStatus(epp_StatusResultData value)` Accessor method for the status result data
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_status

    public epp_StatusResultData m_status

> Placeholder for the result data to the EPP Status command
> See Also:
>   `setStatus(epp_StatusResultData)`, `getStatus()`

## Constructor Details

### epp_ResultData

    public epp_ResultData()

> Empty constructor

### epp_ResultData

    public epp_ResultData(epp_StatusResultData _m_status)

> The constructor with initializing variables.
> Parameters:
>   `_m_status` - The result data for the status command

## Method Details

### getStatus

    public epp_StatusResultData getStatus()

> Accessor method for the status result data
> Returns:
>   The status result data
> See Also:
>   `m_status`

### setStatus

    public void setStatus(epp_StatusResultData value)

> Accessor method for the status result data
> Parameters:
>   `value` - The status result data
> See Also:
>   `m_status`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS